TFBS::PatternGen::MEME(3pm)

NAME
TFBS::PatternGen::MEME - a pattern factory that uses the MEME program

SYNOPSIS
    my $patterngen =
            TFBS::PatternGen::MEME->new(-seq_file=>'sequences.fa',
                                            -binary => 'meme'

    my $pfm = $patterngen->pattern(); # $pfm is now a TFBS::Matrix::PFM object

DESCRIPTION
TFBS::PatternGen::MEME builds position frequency matrices using an external program MEME written by Bailey and Elkan. For information and source code of MEME see

http://www.sdsc.edu/MEME

FEEDBACK
Please send bug reports and other comments to the author.

AUTHOR - Wynand Alkema
Wynand Alkema <Wynand.Alkema@cgb.ki.se>

  new
 Title   : new
 Usage   : my $pattrengen = TFBS::PatternGen::MEME->new(%args);
 Function: the constructor for the TFBS::PatternGen::MEME object
 Returns : a TFBS::PatternGen::MEME object
 Args    : This method takes named arguments;
            you must specify one of the following three
            -seq_list     # a reference to an array of strings
                          #   and/or Bio::Seq objects
              # or
            -seq_stream   # A Bio::SeqIO object
              # or
            -seq_file     # the name of the fasta file containing
                          #   all the sequences
           Other arguments are:
            -binary       # a fully qualified path to the 'meme' executable
                          #  OPTIONAL: default 'meme'
            -additional_params  # a string containing additional
                                #   command-line switches for the
                                #   meme program

  pattern

  all_patterns

  patternSet
The three methods listed above are used for the retrieval of patterns, and are common to all TFBS::PatternGen::* classes. Please see TFBS::PatternGen for details.